Bug 186144 - beagle evolution plugin calendar crash
Summary: beagle evolution plugin calendar crash
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: David Nielsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-21 21:12 UTC by Håvard Wigtil
Modified: 2008-03-11 09:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 09:47:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from first run of "beagled --fg --debug" (92.99 KB, text/plain)
2006-03-21 21:12 UTC, Håvard Wigtil
no flags Details
current-Beagle log file (4.05 KB, application/octet-stream)
2006-06-03 14:12 UTC, Bertrand
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 343952 None None None Never

Description Håvard Wigtil 2006-03-21 21:12:53 UTC
Description of problem:
When starting beagled, it runs for a while and then exits "after the daemon has
gone away". When i start beagled again it crashes on startup.


Version-Release number of selected component (if applicable):
beagle-0.2.3-4

How reproducible:
Always (for all 0.2 releases in rawhide)

Steps to Reproduce:
1. rm -rf ~/.beagle
2. beagled --fg --debug (it runs for a little while then exits, see first-run.log)
3. "beagled --fg --debug" again leads to a hard crash with the following stack
trace:
[havardw@lupus ~]$ beagled --fg --debug
Error: Unhandled exception thrown.  Exiting immediately.
Error: GLib.GException: Ukjent feil (<- "Unknown exception" in Norwegian)
in [0x0008e] (at
/usr/src/build/711973-x86_64/BUILD/evolution-sharp-0.10.2/evolution/Cal.custom:122)
Evolution.Cal:GetChanges
(string,Evolution.CalComponent[]&,Evolution.CalComponent[]&,string[]&)
in [0x0003f] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/EvolutionDataServerQueryable/CalContainer.cs:92)
Beagle.Daemon.EvolutionDataServerQueryable.CalContainer:IndexChanges ()
in [0x0009d] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/EvolutionDataServerQueryable/SourcesHandler.cs:93)
Beagle.Daemon.EvolutionDataServerQueryable.SourcesHandler:IndexSourceGroup
(Evolution.SourceGroup,bool)
in [0x000be] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/EvolutionDataServerQueryable/SourcesHandler.cs:74)
Beagle.Daemon.EvolutionDataServerQueryable.SourcesHandler:.ctor
(string,System.Type,Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable,string)
in [0x00077] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/EvolutionDataServerQueryable/EvolutionDataServerQueryable.cs:85)
Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable:Start ()
in [0x00006] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/Queryable.cs:51)
Beagle.Daemon.Queryable:Start ()
in [0x00032] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/QueryDriver.cs:278)
Beagle.Daemon.QueryDriver:StartQueryables ()
in <0x0005c> (wrapper delegate-invoke) System.MulticastDelegate:invoke_bool ()
in <0x00045> TimeoutProxy:Handler ()
in <0x00035> (wrapper native-to-managed) TimeoutProxy:Handler ()
in (unmanaged) 0x3e55a2761a
in <0x0000b> (wrapper managed-to-native) Gtk.Application:gtk_main ()
in <0x00008> Gtk.Application:Run ()
in [0x003a5] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/BeagleDaemon.cs:407)
Beagle.Daemon.BeagleDaemon:DoMain (string[])
in [0x00001] (at
/usr/src/build/724864-x86_64/BUILD/beagle-0.2.3/beagled/BeagleDaemon.cs:215)
Beagle.Daemon.BeagleDaemon:Main (string[])

Comment 1 Håvard Wigtil 2006-03-21 21:12:53 UTC
Created attachment 126432 [details]
Output from first run of "beagled --fg --debug"

Comment 2 Bertrand 2006-06-03 14:12:27 UTC
Created attachment 130450 [details]
current-Beagle log file

Comment 3 Bertrand 2006-06-03 14:14:05 UTC
I have the same issue with a standard FC5 install yum updated
(beagle-0.2.6-1.fc5.1.src.rpm). Beagle is working for a couple of searches and
then crashes.
See attachement for Log files from ~/.beagle/Log/Current-beagle 

Comment 4 Russell Harrison 2006-06-05 21:26:33 UTC
I'm also seeing the same problem on my i386 insall of FC5.

I'm pretty sure this started when the latest evolution was pushed out.  Is it
posible that a simple rebuild of beagle or evolution-sharp would fix this issue?

Comment 5 Russell Harrison 2006-06-05 21:38:53 UTC
I've added this bug to the upstream bugzilla
http://bugzilla.gnome.org/show_bug.cgi?id=343952

Comment 6 Russell Harrison 2006-07-12 21:35:15 UTC
This seemed to be fixed for awhile but it looks like its back with the latest
push of evolution-sharp to Fedora Core 5.

Shouldn't the expected behavior be that failed backends are simply disabled and
logged (perhaps a dialog box).  There really isn't any reason beagled shouldn't
continue indexing the other backends.

Comment 7 petrosyan 2008-03-11 02:01:30 UTC
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?

Comment 8 Håvard Wigtil 2008-03-11 09:47:28 UTC
This is no longer a problem for me, closing bug.


Note You need to log in before you can comment on or make changes to this bug.